\section{Full service please: organising the sessions}
\label{sec:organizing_events}

\person{Alexander ``Tolimar'' Schmehl}{Head of the speaker team and co-organiser}
Organising DebConf is unique in many ways.  Since
its attendees are scattered around the world and seldom meet each
other in person, DebConf is heavily used to hold discussions,
outline new ideas, collect feedback and implement them.

This leads to significant changes in the schedule, and all the
organisational problems involved with that.  New ad-hoc session are
added on a frequent basis and need to be announced to other
attendees, while conflicts with other sessions must be avoided.  And all this
while the usual stuff common to every conference happens (e.g. speakers
requesting to change slots or informing you late about their special requirements).

\begin{quotation}
\textbf{\dots so we had yet another job:  playing IRC-proxy and
forwarding questions asked by those who couldn't attend.}
\end{quotation}
An example for such an ad-hoc session would be the one where Debians
new Python policy was drafted.  It started with an ad-hoc session
visited by 30 Debian Developers.  And reached a critical point
right when the room was scheduled to be used for another session.

So we rescheduled that session and gave the Python people the time
they needed to come up what with what is now the new policy for
Python packages in Debian.


Another challenge was caused by the good work of two other DebConf
teams:  the video and the network team.  Not only did they record
nearly every session, they streamed them to the outside world, so
interested people who couldn't attend DebConf could participate.

But that leads to a problem:  seeing and hearing a talk is just half of
the fun.  To truly participate you need a communication channel back
to the audience to ask questions and get involved in discussions.
That's even more true for ad-hoc sessions.

\begin{figure}[h]
\includegraphics[width=\columnwidth]{images/photos/tower_session}
\imcap{Talk session}
\end{figure}
So we had yet another job: playing IRC-proxy and forwarding
questions asked for those who couldn't attend.  Many of the Debian
folks are familiar with Internet Relay Chat.  So we created some
special IRC-channels for the audience to discuss and ask questions
which we in turn would ask aloud.  Of course it didn't work
perfectly.  Sometimes we had technical problems, and sometimes during a
heated debate forwarding questions proved to be quite complicated.
But it went surprisingly well, and turned out to be a real benefit for
the conference.

If you read last year's report you'll already know most of our attempts
to make life for our speakers as easy as possible.  Measures like
warning signs if they run out of time (not all rooms had clocks,
nor does every speaker check on their own) or a newly-introduced sign
signalling the speaker to speak slower again proved very useful.


But even if last year's conference was a big success, we thought there
might still be place for improvements.  We got the idea that some kind
of speaker training might be useful.  Some of our speakers are
quite young and inexperienced.  It turned out to be a splendid idea!
Even non-speaker attendees joined the speaker training sessions, and
in the end we needed to repeat those trainings due to the great demand.

\begin{quotation}
\textbf{We got the idea that some kind of speaker training might be a
good idea \dots it turned out to be a splendid idea!}
\end{quotation}
It will be hard work to find further improvements for next year's
DebConf.


% Keep this at the bottom, thanks.
% Local Variables:
% TeX-master: "dc6-report"
% End:
